"use strict";

const {ipcMain} = require("electron");
const FontList  = require("font-list");

class FontManager {

	constructor() {
		ipcMain.handle("FontManager::fonts", async () => await FontList.getFonts().catch(error => console.log(error)));
	}
}

module.exports = FontManager;