const electron = require("electron");

const isDevelopment = () => {
	if (typeof electron === "string")
		return true;

	const isEnvSet   = "ELECTRON_IS_DEV" in process.env;
	const getFromEnv = parseInt(process.env.ELECTRON_IS_DEV, 10) === 1;

	return isEnvSet ? getFromEnv : !electron.app.isPackaged;
};

module.exports = {
	isDevelopment
};