import React from "react";

import {Easel, Folder2Open} from "react-bootstrap-icons";

import KeyboardControl from "./KeyboardControl";

const NoFile = ({openFile}) => {
	return (
		<section className="no-file">
			<section className="inner">
				<p>
					<Easel className="big" />
				</p>
				<i>No presentation loaded. Drag in a <code>.md</code> file or</i><br />
				<p>
					<button onClick={openFile}><Folder2Open /> open</button>
				</p>
			</section>
			<KeyboardControl openFile={openFile} />
			<section className="titlebar"></section>
		</section>
	);
};

export default NoFile;